Bug 433636 - Add "howto" use intructions in Krunner plugin descriptions
Summary: Add "howto" use intructions in Krunner plugin descriptions
Status: RESOLVED FIXED
Alias: None
Product: krunner
Classification: Unclassified
Component: general (show other bugs)
Version: 5.21.1
Platform: Neon Packages Linux
: NOR task (vote)
Target Milestone: ---
Assignee: Alexander Lohnau
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-26 07:25 UTC by Dan Dascalescu
Modified: 2021-12-26 14:53 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.24


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Dascalescu 2021-02-26 07:25:34 UTC
SUMMARY
While some KRunner plugins are pretty obvious use use, and others show themselves automatically (e.g. calculator) or have setting (e.g. the trigger word for Spell Checker), it' unclear how to use certain KRunner plugins.

For example, what does "Date and Time" do? The description says "The current date and time, locally or in any timezone", but I don't see that displayed anywhere when I invoke KRunner. I tried typing "next monday" or other natural format dates, thinking I'd get a result like "3/1/2021", but no.

Another example is KWin - "Interact with the Plasma Compositor" - how exactly? 

Same for "Plasma Desktop Shell"

Lastly, "Desktop Sessions (Fast user switching)"
Comment 1 Octopuss 2021-08-30 09:16:45 UTC
Exactly! Lack of documentation is a huge problem. Going to https://userbase.kde.org is a waste of time also - the info here a ten years outdated!

As an example: The page https://userbase.kde.org/Plasma/Krunner refer plugin "Be on time" but there is no such plugin neither commands "date"/"time"
Comment 2 Bug Janitor Service 2021-10-08 16:09:23 UTC
A possibly relevant merge request was started @ https://invent.kde.org/frameworks/krunner/-/merge_requests/77
Comment 3 Bug Janitor Service 2021-10-08 16:16:28 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/1102
Comment 4 Alexander Lohnau 2021-12-18 10:54:57 UTC
Git commit 14829aefb9de56bda2003a713441828105cc805a by Alexander Lohnau.
Committed on 18/12/2021 at 10:50.
Pushed by alex into branch 'master'.

RunerContext: Allow runners to update the query string

Before this was only possible when the match type is set to InformationalMatch.
This did not include the cursorPosition feature and the text needed to be specified
before the match is added.

To make sure the method can be called in AbstractRunner::run it is marked as const.

The usecase is a help functionality where the placeholder for the query should get focused
so that the user can overwrite it by typing: https://phabricator.kde.org/F10042697

M  +18   -0    src/runnercontext.cpp
M  +15   -0    src/runnercontext.h
M  +6    -1    src/runnermanager.cpp

https://invent.kde.org/frameworks/krunner/commit/14829aefb9de56bda2003a713441828105cc805a
Comment 5 Alexander Lohnau 2021-12-26 10:57:38 UTC
Git commit c8c72bf66a403b408fa9d6559ed5887e358bd490 by Alexander Lohnau.
Committed on 25/12/2021 at 16:53.
Pushed by alex into branch 'master'.

Add helprunner to show usage information for KRunner plugins
Related: bug 369136

M  +2    -1    lookandfeel/contents/runcommand/RunCommand.qml
M  +1    -0    runners/CMakeLists.txt
A  +2    -0    runners/helprunner/CMakeLists.txt
A  +81   -0    runners/helprunner/helprunner.cpp     [License: LGPL(v2.1+)]
A  +27   -0    runners/helprunner/helprunner.h     [License: LGPL(v2.1+)]
A  +17   -0    runners/helprunner/helprunner.json

https://invent.kde.org/plasma/plasma-workspace/commit/c8c72bf66a403b408fa9d6559ed5887e358bd490